{ config, lib, pkgs, self, ... }:

{
  programs.hyprland.enable = true;
  # Optional, hint electron apps to use wayland:
  environment.sessionVariables.NIXOS_OZONE_WL = "1";

  # have portals
  xdg.portal.enable = true;
  xdg.portal.extraPortals = [ pkgs.xdg-desktop-portal-gtk ];

  programs.hyprlock.enable = true;

  environment.systemPackages = with pkgs; [
    kitty
    waybar
    swww
    grim
    slurp
    wl-clipboard
    brightnessctl
    helvum
    ulauncher
    playerctl
    swaynotificationcenter
    hyprshot
  ];

  programs.ssh.startAgent = true;
}
